Skip to main content
POST
/
preauth
/
update
Increment Pre-Authorization
curl --request POST \
  --url https://testapi.fractalpay.com/api/v1/preauth/update \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "last_authorized_amount": "4.50",
  "merchant_key": "{{merchant_key}}",
  "new_authorized_amount": "4.60",
  "order_id": "655541a",
  "transaction_id": "563aef93-8e4a-4ea9-91a1-6b7b494d91ed"
}
'
{
  "data": {
    "transaction_id": "563aef93-8e4a-4ea9-91a1-6b7b494d91ed"
  },
  "message": "Amount Updated Successfully",
  "result": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Fractal API credentials.

Username = Client ID Password = Secret Key

Sandbox credentials can be generated from the Test Portal.

Body

application/json
last_authorized_amount
string
required
Example:

"4.50"

merchant_key
string
required

The merchant's unique key. Returned in the merchant_key field of the get merchants by client call.

Example:

"{{merchant_key}}"

new_authorized_amount
string
required
Example:

"4.60"

transaction_id
string
required

Unique transaction ID. Returned in the transaction_id field of the Get Transactions (GET /merchant/transactions) response.

Example:

"563aef93-8e4a-4ea9-91a1-6b7b494d91ed"

order_id
string
Example:

"655541a"

Response

200 - application/json

Increment Pre-Authorization

data
object
message
string
Example:

"Amount Updated Successfully"

result
boolean
Example:

true